cc.funkemunky.api.updater

## Class Updater

- java.lang.Object
- - cc.funkemunky.api.updater.Updater

    public class Updater
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Updater()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `downloadNewVersion()`
`boolean` `needsToUpdate()`
`boolean` `needsToUpdateIfImportant()`
`void` `runUpdateCheck()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Updater

    public Updater()

### Method Detail

#### runUpdateCheck

    public void runUpdateCheck()

#### needsToUpdate

    public boolean needsToUpdate()

#### needsToUpdateIfImportant

    public boolean needsToUpdateIfImportant()

#### downloadNewVersion

    public void downloadNewVersion()